package com.persagy.iottransfer.communication.util;

import com.persagy.iottransfer.communication.entity.Packet;
import com.persagy.iottransfer.communication.entity.PacketEntity;

import java.util.Date;

public interface IServerManager {
    String Name();

    void Start();

    void Stop();

    void AllowJustSend_UDP(boolean allow);

    String[] GetClientAddresss();

    Date GetConnectTime(String clientAddress);

    void AppendToSend(String clientAddress, Packet MyPackage);

    PacketEntity PopRece();

    PacketEntity takeRece() throws InterruptedException;

    int ReceBufferSize();

    void setHandlerManager(IServerHandler handlerManager);

    void closeClient(String clientAddress);

    void hasRemark(int count);
}
