package com.persagy.iottransfer.communication.entity;

import com.alibaba.fastjson.JSONObject;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@NoArgsConstructor
public class Packet {
    public String packetString;
    public byte[] packetBytes;
    public Date time = new Date();

    public Packet(String packetString) {
        this.packetString = packetString;
    }

    public Packet(byte[] packetBytes) {
        this.packetBytes = packetBytes;
    }

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}
