package com.persagy.iottransfer.communication.entity;

import com.alibaba.fastjson.JSONObject;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
public class PacketEntity {
    public String address;
    public String projectId;
    public String type;
    public Packet content;

    public PacketEntity(String projectId, Packet content) {
        this.projectId = projectId;
        this.content = content;
    }

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}
