package com.persagy.iottransfer.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @description:
 * @author:lgy
 * @data:2021/8/26 15:22
 */
@Component
@ConfigurationProperties(prefix = "iot.server.collect")
@Data
public class CollectServerProperties {
    private Boolean tcp_enable;
    private String tcp_bind_ip;
    private Integer tcp_bind_port;

    private Boolean udp_enable;
    private String udp_bind_ip;
    private Integer udp_bind_port;

    private Integer max_size;
    private Integer sleepcount;
    private String separate_begin;
    private String separate_end;
    private Boolean compress;

}
